Subject: Re: [PATCH] phy: fix possible double lock calling link changed handler

From: Alessandro B Maurici <[email-masked]>
Date: Tue, 23 Nov 2021 13:06:34 -0300

On Tue, 23 Nov 2021 15:11:22 +0100
Andrew Lunn <[email-masked]> wrote:

> Yes, that is the change i would make. When adding the extra locks i
> missed that a driver was doing something like this. I will check all
> other callers to see if they are using it in odd contexts.
> 
>      Andrew

Andrew, this kinda of implementation is really hard to get in a fast review, 
fortunately I happen to be testing one lan743x board with a 5.10.79 kernel
that had the new locks in place, and noticed that really fast, but I wrongly 
assumed that call was okayish since the driver was on stable.
If you need to do some testing I will still have the hardware with me for 
some time.

Alessandro